esp32_BNO08x 1.4 C++ BNO08x IMU driver component for esp-idf.

Public Member Functions | Public Attributes | List of all members
bno08x_config_t Struct Reference

IMU configuration settings passed into constructor. More...

`#include <BNO08xGlobalTypes.hpp>`

## Public Member Functions
| bno08x_config_t (bool install_isr_service=true)
| Default IMU configuration settings constructor. To modify default GPIO pins, run "idf.py menuconfig" esp32_BNO08x->GPIO Configuration. Alternatively, edit the default values in "Kconfig.projbuild". More...
| bno08x_config_t (spi_host_device_t spi_peripheral, gpio_num_t io_mosi, gpio_num_t io_miso, gpio_num_t io_sclk, gpio_num_t io_cs, gpio_num_t io_int, gpio_num_t io_rst, uint32_t sclk_speed, bool install_isr_service=true)
| Overloaded IMU configuration settings constructor for custom pin settings. More...

## Public Attributes
spi_host_device_t | spi_peripheral
| SPI peripheral to be used. More...
gpio_num_t | io_mosi
| MOSI GPIO pin (connects to BNO08x DI pin) More...
gpio_num_t | io_miso
| MISO GPIO pin (connects to BNO08x SDA pin) More...
gpio_num_t | io_sclk
| SCLK pin (connects to BNO08x SCL pin) More...
gpio_num_t | io_cs
gpio_num_t | io_int
| Chip select pin (connects to BNO08x CS pin) More...
gpio_num_t | io_rst
| Host interrupt pin (connects to BNO08x INT pin) More...
uint32_t | sclk_speed
| Reset pin (connects to BNO08x RST pin) More...
bool | install_isr_service
| Indicates whether the ISR service for the HINT should be installed at IMU initialization, (if gpio_install_isr_service() is called before initialize() set this to false) More...

## Detailed Description

IMU configuration settings passed into constructor.

## Constructor & Destructor Documentation

## ◆ bno08x_config_t() [1/2]

bno08x_config_t::bno08x_config_t | ( | bool | install_isr_service = `true` | ) |
| inline

Default IMU configuration settings constructor. To modify default GPIO pins, run "idf.py menuconfig" esp32_BNO08x->GPIO Configuration. Alternatively, edit the default values in "Kconfig.projbuild".

## ◆ bno08x_config_t() [2/2]

bno08x_config_t::bno08x_config_t | ( | spi_host_device_t | spi_peripheral,
|  | gpio_num_t | io_mosi,
|  | gpio_num_t | io_miso,
|  | gpio_num_t | io_sclk,
|  | gpio_num_t | io_cs,
|  | gpio_num_t | io_int,
|  | gpio_num_t | io_rst,
|  | uint32_t | sclk_speed,
|  | bool | install_isr_service = `true`
| ) |  |
| inline

Overloaded IMU configuration settings constructor for custom pin settings.

## Member Data Documentation

## ◆ install_isr_service

bool bno08x_config_t::install_isr_service

Indicates whether the ISR service for the HINT should be installed at IMU initialization, (if gpio_install_isr_service() is called before initialize() set this to false)

## ◆ io_cs

gpio_num_t bno08x_config_t::io_cs

## ◆ io_int

gpio_num_t bno08x_config_t::io_int

Chip select pin (connects to BNO08x CS pin)

## ◆ io_miso

gpio_num_t bno08x_config_t::io_miso

MISO GPIO pin (connects to BNO08x SDA pin)

## ◆ io_mosi

gpio_num_t bno08x_config_t::io_mosi

MOSI GPIO pin (connects to BNO08x DI pin)

## ◆ io_rst

gpio_num_t bno08x_config_t::io_rst

Host interrupt pin (connects to BNO08x INT pin)

## ◆ io_sclk

gpio_num_t bno08x_config_t::io_sclk

SCLK pin (connects to BNO08x SCL pin)

## ◆ sclk_speed

uint32_t bno08x_config_t::sclk_speed

Reset pin (connects to BNO08x RST pin)

Desired SPI SCLK speed in Hz (max 3MHz)

## ◆ spi_peripheral

spi_host_device_t bno08x_config_t::spi_peripheral

SPI peripheral to be used.

The documentation for this struct was generated from the following file:

- /media/develop/git/imu_pr_cleanup/components/esp32_BNO08x/include/BNO08xGlobalTypes.hpp